summary refs log tree commit diff
path: root/.ci/script.sh
diff options
context:
space:
mode:
Diffstat (limited to '.ci/script.sh')
-rwxr-xr-x.ci/script.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/.ci/script.sh b/.ci/script.sh
new file mode 100755
index 00000000..8ad12745
--- /dev/null
+++ b/.ci/script.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+set -ex
+
+if [ $TRAVIS_OS_NAME == linux ]; then
+    QT_PKG=${QT_VERSION:0:2}
+    source /opt/qt${QT_PKG}/bin/qt${QT_PKG}-env.sh || true;
+fi
+
+make ci
+
+if [ $TRAVIS_OS_NAME == osx ]; then
+    make lint;
+
+    if [ $DEPLOYMENT == 1 ] && [ ! -z $TRAVIS_TAG ]; then
+        make macos-deploy;
+    fi
+fi
+
+if [ $TRAVIS_OS_NAME == linux ] && [ $DEPLOYMENT == 1 ] && [ ! -z $TRAVIS_TAG ]; then
+    make linux-deploy;
+fi